[llvm-branch-commits] [llvm-gcc-branch] r118177 - in /llvm-gcc-4.2/branches/Apple/Morbo: ./ libgomp/Makefile.in libgomp/configure libgomp/configure.ac
Bob Wilson
bob.wilson at apple.com
Wed Nov 3 09:51:54 PDT 2010
Author: bwilson
Date: Wed Nov 3 11:51:54 2010
New Revision: 118177
URL: http://llvm.org/viewvc/llvm-project?rev=118177&view=rev
Log:
Backport changes related to race conditions building libgomp. Radar 8625204.
--- Merging r99262 into '.':
U libgomp/Makefile.in
--- Merging r99412 into '.':
G libgomp/Makefile.in
--- Merging r101614 into '.':
U libgomp/configure
U libgomp/configure.ac
Modified:
llvm-gcc-4.2/branches/Apple/Morbo/ (props changed)
llvm-gcc-4.2/branches/Apple/Morbo/libgomp/Makefile.in
llvm-gcc-4.2/branches/Apple/Morbo/libgomp/configure
llvm-gcc-4.2/branches/Apple/Morbo/libgomp/configure.ac
Propchange: llvm-gcc-4.2/branches/Apple/Morbo/
------------------------------------------------------------------------------
--- svn:mergeinfo (original)
+++ svn:mergeinfo Wed Nov 3 11:51:54 2010
@@ -1,2 +1,2 @@
/llvm/trunk:100565
-/llvm-gcc-4.2/trunk:98728,98841,98893,99196,99305,99592-99593,99629,99670,99982,99984-99986,99988,99992-99993,99995,99997-99999,100035,100149,100303,100565,100624-100626,100712,100721,101090-101091,101199,101216,101304,101333,101804,101959,102139,102148,102433,102444,102506-102507,102511,102532,102561,102589,102636,102648,102745,103361,103366-103367,103394,103414,103644,103800,103918,104181,104384,104420,104423,104523,104726,105504,105828-105829,105902,105948-105949,106005,106243-106244,106270,106352,106564,106611-106612,106681,106690,106711,107062,107439,107843,108784-108786,109556-109557,109702,110043,110250,110405,110459,110501,110689,110727,113248,114961
+/llvm-gcc-4.2/trunk:98728,98841,98893,99196,99262,99305,99412,99592-99593,99629,99670,99982,99984-99986,99988,99992-99993,99995,99997-99999,100035,100149,100303,100565,100624-100626,100712,100721,101090-101091,101199,101216,101304,101333,101614,101804,101959,102139,102148,102433,102444,102506-102507,102511,102532,102561,102589,102636,102648,102745,103361,103366-103367,103394,103414,103644,103800,103918,104181,104384,104420,104423,104523,104726,105504,105828-105829,105902,105948-105949,106005,106243-106244,106270,106352,106564,106611-106612,106681,106690,106711,107062,107439,107843,108784-108786,109556-109557,109702,110043,110250,110405,110459,110501,110689,110727,113248,114961
Modified: llvm-gcc-4.2/branches/Apple/Morbo/libgomp/Makefile.in
URL: http://llvm.org/viewvc/llvm-project/llvm-gcc-4.2/branches/Apple/Morbo/libgomp/Makefile.in?rev=118177&r1=118176&r2=118177&view=diff
==============================================================================
--- llvm-gcc-4.2/branches/Apple/Morbo/libgomp/Makefile.in (original)
+++ llvm-gcc-4.2/branches/Apple/Morbo/libgomp/Makefile.in Wed Nov 3 11:51:54 2010
@@ -457,6 +457,15 @@
distclean-libtool:
-rm -f libtool
+# LLVM LOCAL begin
+# Avoid a race condition: On systems where "mv" is implemented as "rm+cp",
+# even when not crossing a file system boundary, the files in $(DEPDIR) will
+# be momentarily absent when they are updated. If the recursive make for
+# multilibs starts up when one of those files is missing, it will fail.
+# Add a dependency to prevent that.
+all-multi: $(LTLIBRARIES)
+# LLVM LOCAL end
+
# GNU Make needs to see an explicit $(MAKE) variable in the command it
# runs to enable its job server during parallel builds. Hence the
# comments below.
Modified: llvm-gcc-4.2/branches/Apple/Morbo/libgomp/configure
URL: http://llvm.org/viewvc/llvm-project/llvm-gcc-4.2/branches/Apple/Morbo/libgomp/configure?rev=118177&r1=118176&r2=118177&view=diff
==============================================================================
--- llvm-gcc-4.2/branches/Apple/Morbo/libgomp/configure (original)
+++ llvm-gcc-4.2/branches/Apple/Morbo/libgomp/configure Wed Nov 3 11:51:54 2010
@@ -718,13 +718,13 @@
/^X\(\/\).*/{ s//\1/; q; }
s/.*/./; q'`
srcdir=$ac_confdir
- if test ! -r "$srcdir/$ac_unique_file"; then
+ if test ! -r $srcdir/$ac_unique_file; then
srcdir=..
fi
else
ac_srcdir_defaulted=no
fi
-if test ! -r "$srcdir/$ac_unique_file"; then
+if test ! -r $srcdir/$ac_unique_file; then
if test "$ac_srcdir_defaulted" = yes; then
{ echo "$as_me: error: cannot find sources ($ac_unique_file) in $ac_confdir or .." >&2
{ (exit 1); exit 1; }; }
@@ -733,7 +733,7 @@
{ (exit 1); exit 1; }; }
fi
fi
-(cd $srcdir && test -r "./$ac_unique_file") 2>/dev/null ||
+(cd $srcdir && test -r ./$ac_unique_file) 2>/dev/null ||
{ echo "$as_me: error: sources are in $srcdir, but \`cd $srcdir' does not work" >&2
{ (exit 1); exit 1; }; }
srcdir=`echo "$srcdir" | sed 's%\([^\\/]\)[\\/]*$%\1%'`
@@ -10112,6 +10112,7 @@
fi
fi
rm -f conftest.val
+# LLVM LOCAL begin Add error messages.
if test "$cross_compiling" = yes; then
# Depending upon the size, compute the lo and hi bounds.
cat >conftest.$ac_ext <<_ACEOF
@@ -10368,7 +10369,9 @@
done
case $ac_lo in
?*) OMP_LOCK_ALIGN=$ac_lo;;
-'') ;;
+'') { { echo "$as_me:$LINENO: error: unsupported system, cannot find __alignof (omp_lock_t)" >&5
+echo "$as_me: error: unsupported system, cannot find __alignof (omp_lock_t)" >&2;}
+ { (exit 1); exit 1; }; } ;;
esac
else
if test "$cross_compiling" = yes; then
@@ -10433,6 +10436,10 @@
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
+( exit $ac_status )
+{ { echo "$as_me:$LINENO: error: unsupported system, cannot find __alignof (omp_lock_t)" >&5
+echo "$as_me: error: unsupported system, cannot find __alignof (omp_lock_t)" >&2;}
+ { (exit 1); exit 1; }; }
fi
rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
fi
@@ -10694,7 +10701,9 @@
done
case $ac_lo in
?*) OMP_NEST_LOCK_SIZE=$ac_lo;;
-'') ;;
+'') { { echo "$as_me:$LINENO: error: unsupported system, cannot find sizeof (omp_nest_lock_t)" >&5
+echo "$as_me: error: unsupported system, cannot find sizeof (omp_nest_lock_t)" >&2;}
+ { (exit 1); exit 1; }; } ;;
esac
else
if test "$cross_compiling" = yes; then
@@ -10759,6 +10768,10 @@
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
+( exit $ac_status )
+{ { echo "$as_me:$LINENO: error: unsupported system, cannot find sizeof (omp_nest_lock_t)" >&5
+echo "$as_me: error: unsupported system, cannot find sizeof (omp_nest_lock_t)" >&2;}
+ { (exit 1); exit 1; }; }
fi
rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
fi
@@ -11020,7 +11033,9 @@
done
case $ac_lo in
?*) OMP_NEST_LOCK_ALIGN=$ac_lo;;
-'') ;;
+'') { { echo "$as_me:$LINENO: error: unsupported system, cannot find __alignof (omp_nest_lock_t)" >&5
+echo "$as_me: error: unsupported system, cannot find __alignof (omp_nest_lock_t)" >&2;}
+ { (exit 1); exit 1; }; } ;;
esac
else
if test "$cross_compiling" = yes; then
@@ -11085,11 +11100,16 @@
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
+( exit $ac_status )
+{ { echo "$as_me:$LINENO: error: unsupported system, cannot find __alignof (omp_nest_lock_t)" >&5
+echo "$as_me: error: unsupported system, cannot find __alignof (omp_nest_lock_t)" >&2;}
+ { (exit 1); exit 1; }; }
fi
rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
fi
fi
rm -f conftest.val
+# LLVM LOCAL end Add error messages.
# If the lock fits in an integer, then arrange for Fortran to use that
# integer. If it doesn't, then arrange for Fortran to use a pointer.
Modified: llvm-gcc-4.2/branches/Apple/Morbo/libgomp/configure.ac
URL: http://llvm.org/viewvc/llvm-project/llvm-gcc-4.2/branches/Apple/Morbo/libgomp/configure.ac?rev=118177&r1=118176&r2=118177&view=diff
==============================================================================
--- llvm-gcc-4.2/branches/Apple/Morbo/libgomp/configure.ac (original)
+++ llvm-gcc-4.2/branches/Apple/Morbo/libgomp/configure.ac Wed Nov 3 11:51:54 2010
@@ -306,9 +306,14 @@
_AC_COMPUTE_INT([sizeof (omp_lock_t)], [OMP_LOCK_SIZE],,
[AC_MSG_ERROR([unsupported system, cannot find sizeof (omp_lock_t)])])
-_AC_COMPUTE_INT([__alignof (omp_lock_t)], [OMP_LOCK_ALIGN])
-_AC_COMPUTE_INT([sizeof (omp_nest_lock_t)], [OMP_NEST_LOCK_SIZE])
-_AC_COMPUTE_INT([__alignof (omp_nest_lock_t)], [OMP_NEST_LOCK_ALIGN])
+# LLVM LOCAL begin Add error messages.
+_AC_COMPUTE_INT([__alignof (omp_lock_t)], [OMP_LOCK_ALIGN],,
+ [AC_MSG_ERROR([unsupported system, cannot find __alignof (omp_lock_t)])])
+_AC_COMPUTE_INT([sizeof (omp_nest_lock_t)], [OMP_NEST_LOCK_SIZE],,
+ [AC_MSG_ERROR([unsupported system, cannot find sizeof (omp_nest_lock_t)])])
+_AC_COMPUTE_INT([__alignof (omp_nest_lock_t)], [OMP_NEST_LOCK_ALIGN],,
+ [AC_MSG_ERROR([unsupported system, cannot find __alignof (omp_nest_lock_t)])])
+# LLVM LOCAL end Add error messages.
# If the lock fits in an integer, then arrange for Fortran to use that
# integer. If it doesn't, then arrange for Fortran to use a pointer.
More information about the llvm-branch-commits
mailing list